# Wave Super Resolution
©2013-2020 Yuichiro Nakada

- high-quality upsampling and downsampling software
- 音質を極力落とさずアップサンプリング・ダウンサンプリングします。

## How to use

96kHz/24bit -> 44.1kHz/16bit

```bash
$ clang -Os -o sr sr.c
$ ./sr
Super Resolution for Wave [Sep 11 2020]
©2013-2020 Yuichiro Nakada

Usage: ./sr [options] file

Options:
-h                 print this message
-r <sample rate>   sample rate [44100...]
-c <compression>   compression [1-9]
-s <scale>         Magnification [32000...]
-o <output name>   output file name
-w                 convert to wav

$ ./sr 言わないけどね。\(アニメ盤\)_01_言わないけどね。.wav -o 01.言わないけどね。.wav
$ ./sr 言わないけどね。(アニメ盤)_01_言わないけどね。.flac -o 01.言わないけどね。.flac
```

- 44.1kHz/16bit -> 96kHz/24bit

```bash
$ ./sr -r 96000 17.愛をありがとう.flac -o 17.愛をありがとう_96k.wav -w
```

## Download

- [Windows](http://berry-lab.net/apps/sr.exe)
- [macOS](http://berry-lab.net/apps/sr.mac)
- [Linux 64bit](http://berry-lab.net/apps/sr.linux64)

- [Vector](https://www.vector.co.jp/soft/data/art/se517919.html)

## How to install

Just download sr.exe and run it.

## How to uninstall

Delete the file.

## Q&A

- 音割れするけど？
  - 「-s」オプションを使って30000などの数字で調整します。

## Contact

- http://berry-lab.net/apps/sr.html
- [info@berry-japan.com](<mailto:info@berry-japan.com>)

## System requirements

- Windows
- macOS
- Linux

## License

Freeware
